Organizations API
Add a project member
POST
Assign an organization member to the project. Needs the manage members permission. Returns 403 with code ORG_PENDING_DELETION while the organization is pending deletion. Requires an interactive browser session; project-scoped CLI tokens receive 403.
sessionCookiecookie
better-auth.session_token<token>Interactive Better Auth browser session. Secure deployments may use the __Secure- cookie prefix.
id*stringFormat
uuidapplication/json- body
userId*stringAn existing member of the organization.
Format
uuidrole?stringCannot be higher than the member's organization role.
Default
"project_viewer"Value in
"project_admin""project_editor""project_viewer"Member added
application/json- response
success?booleanmember?curl -X POST 'https://app.supercheck.io/api/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/members' \ -H 'Content-Type: application/json' \ -d '{ "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b"}'Example Response
{ "success": true, "member": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "userId": "string", "role": "project_admin", "createdAt": "2019-08-24T14:15:22Z", "user": { "id": "string", "name": "string", "email": "string", "image": "string" } }}